#!/bin/sh

tmpfile=$(mktemp)
url=$1

curl --silent "$url" -o $tmpfile

pages=$(grep -Po '"pageCount":\K[^,][0-9]*' $tmpfile)
document_id=$(grep -Po '"documentId":"\K[^",]*' $tmpfile)


for page in $(seq 1 $pages)
do
    echo "https://image.issuu.com/"$document_id"/jpg/page_"$page".jpg"
done

rm $tmpfile
